Subject: Re: Faking From: in Pine (fwd)

From: "Robert de Bath" <[email-masked]>
Date: Tue, 29 Apr 1997 07:39:33 +0100 (BST)

xyzzy
This is (fwd) because of a list error trapping mis-fire.

-- 
Rob.                           (Robert de Bath <http://www.cix.co.uk/~mayday>)

---------- Forwarded message ----------
Subject: Re: Faking From: in Pine
From: Robert de Bath <[email-masked]>
Organization: Mayday Technology Ltd
Date: Mon, 28 Apr 1997 22:26:52 +0100 (BST)
To: Rickey Hite <[email-masked]>
Cc: Pine Discussion Forum <[email-masked]>

Add a line to your pinerc:

sendmail-path=/usr/local/bin/from_smash

Remove any 'smtp-server=' line.

In the script 'from_smash' put this script (based on pine's 'sendit.sh')

-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
#!/bin/sh -
POSTFILE=/tmp/send$$
POSTTOOL=/usr/lib/sendmail
POSTARGS="-oi -oem -t"

umask 077
trap "rm -f ${POSTFILE}; exit 0" 0 1 2 13 15

formail -f -IFrom: "-AFrom: $MAILFROM" > ${POSTFILE}
${POSTTOOL} ${POSTARGS} < ${POSTFILE} & 
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-

Set the environment variable MAILFROM.

The command 'formail' might not be in your unix, it comes from the
procmail package, but in this instance it could probably be replaced
by a shell script.

-- 
Rob.                           (Robert de Bath <http://www.cix.co.uk/~mayday>)

On Thu, 24 Apr 1997, Rickey Hite wrote:

>  Could someone tell me how to fake a from header with Pine? My wife
> and I share an account (by using an alias for her) and I would love for
> her to be able to send mail with her alias in the From: field instead of
> the bogus gazer@(made up domain) and Reply-To:her address combination that
> I use now. All this does is confuse people as to what her address is. We
> are using Pine on a Unix system.
>  
>  Thanks in advance for ANY suggestions.
> 
> --
>    ^  ^   |"You can find some usefull stuff in the newsgroups if you |
>  ^(_)(_)^ | can enlist an AI with the patience to wade through all   |
> (_)/  \(_)| the garbage" -"Newsgroup Filter" from Netrunner by WotC  |
>   {____}  |                     :[email-masked]:                    |
> 
>